package cn.com.qmth.examcloud.core.oe.admin.dao;

import java.util.List;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.stereotype.Repository;

import cn.com.qmth.examcloud.core.oe.admin.dao.entity.MarkResultEntity;

@Repository
public interface MarkResultRepo
        extends JpaRepository<MarkResultEntity, Long>, JpaSpecificationExecutor<MarkResultEntity> {

    void deleteByExamRecordDataId(Long examRecordDataId);

    List<MarkResultEntity> findByExamRecordDataId(Long examRecordDataId);

}
